Skip to main content

Create Mm Template

POST 

/v1/sandbox/:sandbox_id/match-making-template

Create a new MatchMakingTemplates in a sandbox

Requires permission sandbox:config:edit.

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Body

required

    match_making_template_id uuid

    ID to uniquely identify this MatchMakingTemplate

    match_making_template_group_id uuidrequired

    Which group of MatchMakingTemplates this template belongs to

    mmr_grouping_method MMR Grouping Method (string)required

    Possible values: [worst, best, avg_weighted_by_sigma, avg]

    What method should be used to determine a linking's group MMR based on the individuals

    match_making_ruleset_id uuid

    Which ruleset needs to be satisfied to use this template

    match_making_profile_list_id uuidrequired

    Which list of MatchMakingProfiles should be used with this template

    order Order (integer)required

    Order in which this template will be used

    legacy_config

    object

    Old config used by Legacy systems. These values are ignored by the current APIs

Responses

Successful Response

Schema

    match_making_template_id uuidrequired

    ID to uniquely identify this MatchMakingTemplate

    match_making_template_group_id uuidrequired

    Which group of MatchMakingTemplates this template belongs to

    mmr_grouping_method MMR Grouping Method (string)required

    Possible values: [worst, best, avg_weighted_by_sigma, avg]

    What method should be used to determine a linking's group MMR based on the individuals

    match_making_ruleset_id uuid

    Which ruleset needs to be satisfied to use this template

    match_making_profile_list_id uuidrequired

    Which list of MatchMakingProfiles should be used with this template

    order Order (integer)required

    Order in which this template will be used

    legacy_config

    object

    Old config used by Legacy systems. These values are ignored by the current APIs

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

Loading...